# AIEventStationFirstVehicle Class Reference

Event Station First Vehicle, indicating a station has been visited by a vehicle for the first time. More...

`#include <ai_event_types.hpp>`

Inheritance diagram for AIEventStationFirstVehicle:

## Public Member Functions
| AIEventStationFirstVehicle (StationID station, VehicleID vehicle)
StationID | GetStationID ()
| Get the StationID of the visited station.
VehicleID | GetVehicleID ()
| Get the VehicleID of the first vehicle.
## Static Public Member Functions
static const char * | GetClassName ()
| Get the name of this class to identify it towards squirrel.
static AIEventStationFirstVehicle * | Convert (AIEvent *instance)
| Convert an AIEvent to the real instance.
## Private Attributes
StationID | station
VehicleID | vehicle

## Detailed Description

Event Station First Vehicle, indicating a station has been visited by a vehicle for the first time.

Definition at line 698 of file ai_event_types.hpp.

## Constructor & Destructor Documentation

AIEventStationFirstVehicle::AIEventStationFirstVehicle | ( | StationID | station,
|  | VehicleID | vehicle |
| ) |  |  | `[inline]`

Parameters:

  | station | The station visited for the first time.
  | vehicle | The vehicle visiting the station.

Definition at line 707 of file ai_event_types.hpp.

## Member Function Documentation

static AIEventStationFirstVehicle* AIEventStationFirstVehicle::Convert | ( | AIEvent * | instance | ) | `[inline, static]`

Convert an AIEvent to the real instance.

Parameters:

  | instance | The instance to convert.

Returns:
  The converted instance.

Definition at line 718 of file ai_event_types.hpp.

static const char* AIEventStationFirstVehicle::GetClassName | ( |  | ) | `[inline, static]`

Get the name of this class to identify it towards squirrel.

Reimplemented from AIEvent.

Definition at line 701 of file ai_event_types.hpp.

StationID AIEventStationFirstVehicle::GetStationID | ( |  | ) | `[inline]`

Get the StationID of the visited station.

Returns:
  The StationID of the visited station.

Definition at line 724 of file ai_event_types.hpp.

VehicleID AIEventStationFirstVehicle::GetVehicleID | ( |  | ) | `[inline]`

Get the VehicleID of the first vehicle.

Returns:
  The VehicleID of the first vehicle.

Definition at line 730 of file ai_event_types.hpp.

The documentation for this class was generated from the following file:

- src/ai/api/ai_event_types.hpp